﻿// <auto-generated />
using System;
using DST.Infrastructure.Oracle;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Oracle.EntityFrameworkCore.Metadata;

namespace DST.Infrastructure.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    partial class ApplicationDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.12")
                .HasAnnotation("Oracle:ValueGenerationStrategy", OracleValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("DST.Domain.Entities.ProgramEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("NUMBER(10)")
                        .HasComment("ID")
                        .HasAnnotation("Oracle:ValueGenerationStrategy", OracleValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("CreatedBy")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("作成者");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("TIMESTAMP(7)")
                        .HasComment("作成日時");

                    b.Property<string>("FunctionalOverview")
                        .HasMaxLength(500)
                        .HasColumnType("NVARCHAR2(500)")
                        .HasComment("機能概要");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("プログラム名");

                    b.Property<string>("ProgramId")
                        .IsRequired()
                        .HasMaxLength(30)
                        .HasColumnType("NVARCHAR2(30)")
                        .HasComment("プログラムID");

                    b.Property<string>("Purpose")
                        .HasMaxLength(500)
                        .HasColumnType("NVARCHAR2(500)")
                        .HasComment("目的");

                    b.Property<int>("SubSystemId")
                        .HasColumnType("NUMBER(10)")
                        .HasComment("サブシステムシステムID");

                    b.Property<string>("UpdatedBy")
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("更新者");

                    b.Property<DateTime?>("UpdatedOn")
                        .HasColumnType("TIMESTAMP(7)")
                        .HasComment("更新日時");

                    b.HasKey("Id");

                    b.HasIndex("SubSystemId");

                    b.ToTable("Programs");

                    b
                        .HasComment("プログラム");
                });

            modelBuilder.Entity("DST.Domain.Entities.SubSystemEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("NUMBER(10)")
                        .HasComment("ID")
                        .HasAnnotation("Oracle:ValueGenerationStrategy", OracleValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Compartment")
                        .IsRequired()
                        .HasMaxLength(1)
                        .HasColumnType("NVARCHAR2(1)")
                        .HasComment("サブシステム区分:Iは入力不可。");

                    b.Property<string>("CreatedBy")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("作成者");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("TIMESTAMP(7)")
                        .HasComment("作成日時");

                    b.Property<string>("Description")
                        .HasMaxLength(300)
                        .HasColumnType("NVARCHAR2(300)")
                        .HasComment("説明");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("サブシステム名");

                    b.Property<int>("SystemId")
                        .HasColumnType("NUMBER(10)")
                        .HasComment("システムID");

                    b.Property<string>("UpdatedBy")
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("更新者");

                    b.Property<DateTime?>("UpdatedOn")
                        .HasColumnType("TIMESTAMP(7)")
                        .HasComment("更新日時");

                    b.HasKey("Id");

                    b.HasIndex("SystemId");

                    b.ToTable("SubSystems");

                    b
                        .HasComment("サブシステム");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Compartment = "A",
                            CreatedBy = "Administrator",
                            CreatedOn = new DateTime(2021, 11, 23, 12, 28, 55, 92, DateTimeKind.Local).AddTicks(5280),
                            Description = "受注に関するするシステム。",
                            Name = "受注管理",
                            SystemId = 1
                        },
                        new
                        {
                            Id = 2,
                            Compartment = "B",
                            CreatedBy = "Administrator",
                            CreatedOn = new DateTime(2021, 11, 23, 12, 28, 55, 92, DateTimeKind.Local).AddTicks(5300),
                            Description = "出荷に関するするシステム。",
                            Name = "出荷管理",
                            SystemId = 1
                        },
                        new
                        {
                            Id = 3,
                            Compartment = "A",
                            CreatedBy = "Administrator",
                            CreatedOn = new DateTime(2021, 11, 23, 12, 28, 55, 92, DateTimeKind.Local).AddTicks(5302),
                            Description = "設計に関するするシステム。",
                            Name = "設計管理",
                            SystemId = 2
                        });
                });

            modelBuilder.Entity("DST.Domain.Entities.SystemEntity", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("NUMBER(10)")
                        .HasComment("ID")
                        .HasAnnotation("Oracle:ValueGenerationStrategy", OracleValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Compartment")
                        .IsRequired()
                        .HasMaxLength(1)
                        .HasColumnType("NVARCHAR2(1)")
                        .HasComment("システム区分:Iは入力不可。");

                    b.Property<string>("CreatedBy")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("作成者");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("TIMESTAMP(7)")
                        .HasComment("作成日時");

                    b.Property<string>("Description")
                        .HasMaxLength(300)
                        .HasColumnType("NVARCHAR2(300)")
                        .HasComment("説明");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("システム名");

                    b.Property<string>("UpdatedBy")
                        .HasMaxLength(50)
                        .HasColumnType("NVARCHAR2(50)")
                        .HasComment("更新者");

                    b.Property<DateTime?>("UpdatedOn")
                        .HasColumnType("TIMESTAMP(7)")
                        .HasComment("更新日時");

                    b.HasKey("Id");

                    b.ToTable("Systems");

                    b
                        .HasComment("システム");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Compartment = "A",
                            CreatedBy = "Administrator",
                            CreatedOn = new DateTime(2021, 11, 23, 12, 28, 55, 89, DateTimeKind.Local).AddTicks(9490),
                            Description = "主に営業担当者が利用するシステム。",
                            Name = "営業"
                        },
                        new
                        {
                            Id = 2,
                            Compartment = "B",
                            CreatedBy = "Administrator",
                            CreatedOn = new DateTime(2021, 11, 23, 12, 28, 55, 91, DateTimeKind.Local).AddTicks(221),
                            Description = "主に設計担当者が利用するシステム。",
                            Name = "設計"
                        });
                });

            modelBuilder.Entity("DST.Domain.Entities.ProgramEntity", b =>
                {
                    b.HasOne("DST.Domain.Entities.SubSystemEntity", "SubSystem")
                        .WithMany("Programs")
                        .HasForeignKey("SubSystemId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("SubSystem");
                });

            modelBuilder.Entity("DST.Domain.Entities.SubSystemEntity", b =>
                {
                    b.HasOne("DST.Domain.Entities.SystemEntity", "System")
                        .WithMany("SubSystems")
                        .HasForeignKey("SystemId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("System");
                });

            modelBuilder.Entity("DST.Domain.Entities.SubSystemEntity", b =>
                {
                    b.Navigation("Programs");
                });

            modelBuilder.Entity("DST.Domain.Entities.SystemEntity", b =>
                {
                    b.Navigation("SubSystems");
                });
#pragma warning restore 612, 618
        }
    }
}
